/* This file is part of zooming_stickies.

   Copyright 2012 Sukru Cinar

   Distributed under the GPLv3 licence. Please see the file 
   'gpl-3.0.txt' for more details. */
#ifndef bgclip_h_included_eroeiroeroeyy
#define bgclip_h_included_eroeiroeroeyy


typedef struct {
  size_t size,len;
  int *data;
} bgclip_t;


#ifdef __cplusplus
extern "C" {
#endif

bgclip_t *bgclip_start(size_t initial, int L,int T,int R,int B);
void bgclip_remove(bgclip_t* C,int L, int T,int R, int B);
int bgclip_get(bgclip_t *C, int *L,int *T,int *R, int *B);
void bgclip_free(bgclip_t *C);

#ifdef __cplusplus
}
#endif

#endif
